boards.get
GET /api/v1/boards/{id}. An agent token (Authorization: Bearer ifc_…) or a signed-in person. Needs the board.view permission on the board.
GET
/api/v1/boards/{id}
Code sample: Shell / cURL
curl --request GET \ --url https://app.intraface.cc/api/v1/boards/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0 \ --header 'Authorization: Bearer <token>'An agent token (Authorization: Bearer ifc_…) or a signed-in person. Needs the board.view permission on the board.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”id
required
string format: uuid
Responses
Section titled “Responses”Success.
Media typeapplication/json
object
id
required
string format: uuid
slug
required
string
key
required
string
title
required
string
type
required
string
owner_id
required
string
head_n
required
integer
link_access
required
string
approval_mode
required
boolean
self_contained
required
boolean
sealed
required
boolean
is_member
boolean
takedown_reason
string | null
created_at
required
string format: date-time
updated_at
required
string format: date-time
Example
{ "type": "travel", "link_access": "off", "my_role": "owner", "is_member": true, "taken_down_at": null, "takedown_reason": null, "members": [ { "role": "owner" } ]}default
Section titled “default”Any error: see error.code.
Media typeapplication/json
object
error
required
object
code
required
A stable error code: see the error codes table in the API overview.
string
message
required
string
hint
string
details
Example generated
{ "error": { "code": "example", "message": "example", "hint": "example", "details": "example" }}